Package ghidra.rmi.trace

# Interface TraceRmi.ReplyPutRegisterValueOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.ReplyPutRegisterValue`, `TraceRmi.ReplyPutRegisterValue.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.ReplyPutRegisterValueOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSkippedNames(int index)`
  `repeated string skipped_names = 1;`
  `com.google.protobuf.ByteString`
  `getSkippedNamesBytes(int index)`
  `repeated string skipped_names = 1;`
  `int`
  `getSkippedNamesCount()`
  `repeated string skipped_names = 1;`
  `List<String>`
  `getSkippedNamesList()`
  `repeated string skipped_names = 1;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getSkippedNamesList

    List<String> getSkippedNamesList()
    `repeated string skipped_names = 1;`
    Returns:
      A list containing the skippedNames.

  - ### getSkippedNamesCount

    int getSkippedNamesCount()
    `repeated string skipped_names = 1;`
    Returns:
      The count of skippedNames.

  - ### getSkippedNames

    String getSkippedNames(int index)
    `repeated string skipped_names = 1;`
    Parameters:
      `index` - The index of the element to return.
    Returns:
      The skippedNames at the given index.

  - ### getSkippedNamesBytes

    com.google.protobuf.ByteString getSkippedNamesBytes(int index)
    `repeated string skipped_names = 1;`
    Parameters:
      `index` - The index of the value to return.
    Returns:
      The bytes of the skippedNames at the given index.